Bug 3281 - Item's summary parsing should be different
Summary: Item's summary parsing should be different
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Nahuel Angelinetti
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-02 03:01 UTC by Nahuel Angelinetti
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bugfix (3.83 KB, patch)
2009-06-02 15:03 UTC, Chris Cormack
Details | Diff | Splinter Review
replace previous (3.78 KB, patch)
2009-10-01 11:22 UTC, Chris Cormack
Details | Diff | Splinter Review
bugfix fo head (3.55 KB, patch)
2009-10-01 11:30 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:08:39 UTC


---- Reported by nahuel.angelinetti@biblibre.com 2009-06-02 15:01:06 ----

At the moment, if in item's summary model, you put fields that are repeatable, and repeated, koha show this every field concatened.
We think, each line of summary model, should be repeated, if any field is repeated.
Like if in the Record we have :
200$a : my name
200$a : your name
200$c : hello

And in item summary:
[200a] -- [200c]

We must see has result:
my name -- hello
your name --



---- Additional Comments From nahuel.angelinetti@biblibre.com 2009-06-02 15:03:08 ----

Created an attachment
bugfix





---- Additional Comments From nahuel.angelinetti@biblibre.com 2009-10-01 11:22:48 ----

Created an attachment
replace previous





---- Additional Comments From nahuel.angelinetti@biblibre.com 2009-10-01 11:30:23 ----

Created an attachment
bugfix fo head





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:08 UTC  ---

This bug was previously known as _bug_ 3281 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3281
Imported an attachment (id=1195)
Imported an attachment (id=1196)
Imported an attachment (id=1197)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1195 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1196 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1197 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Marcel de Rooy 2011-02-17 11:22:12 UTC
I checked the patch for head (second attachment), but it does not apply anymore.

../rma/signoff/3281.patch:34: trailing whitespace.
../rma/signoff/3281.patch:45: trailing whitespace.
../rma/signoff/3281.patch:51: trailing whitespace.
../rma/signoff/3281.patch:58: trailing whitespace.
../rma/signoff/3281.patch:62: trailing whitespace.
error: patch failed: C4/Search.pm:1233
error: C4/Search.pm: patch does not apply
Comment 2 Chris Cormack 2011-07-07 21:12:49 UTC
This is fixed in head